<app-loading *ngIf="isLoading"></app-loading>
<nz-card class="search-consultations">
  <div nz-row [nzGutter]="[16, 16]">
    <div nz-col class="gutter-row" nzLg="6">
      <mb-select
        [(ngModel)]="params.proposeType"
        name="formGroup"
        [mbDataSelects]="dataCommon.formGroupList"
        mbKeyLabel="name"
        mbKeyValue="code"
        mbLabelText="{{ 'development.list-consultations.content-consultations.formGroup' | translate }}"
        mbPlaceholder="{{ 'development.list-consultations.content-consultations.formGroup' | translate }}"
      ></mb-select>
    </div>

    <div nz-col class="gutter-row" nzLg="6">
      <span class="search-consultations__rangeDateTitle">{{
        'development.proposed-unit.table.proposeCode' | translate
        }}</span>
      <nz-input-number
        nz-input
        nzPlaceHolder="{{ 'development.proposed-unit.table.proposeCode' | translate }}"
        [nzMin]="0"
        [(ngModel)]="params.proposeDetailId"
        name="proposeDetailId"
        class="proposeCode"
      ></nz-input-number>
    </div>

    <div nz-col class="gutter-row" nzLg="6">
      <mb-select
        [(ngModel)]="params.statusConsultation"
        name="statusConsultation"
        [mbDataSelects]="dataCommon.listStatusConsultation"
        mbKeyLabel="name"
        mbKeyValue="code"
        mbLabelText="{{ 'development.list-consultations.content-consultations.consultationStatus' | translate }}"
        mbPlaceholder="{{ 'development.list-consultations.content-consultations.consultationStatus' | translate }}"
      ></mb-select>
    </div>

    <div nz-col class="gutter-row" nzLg="6">
      <span class="search-consultations__rangeDateTitle">{{
        'development.list-consultations.content-consultations.dateApprove' | translate
      }}</span>
      <nz-range-picker
        [(ngModel)]="params.rangeDate"
        name="rangeDate"
        class="search-consultations__rangeDate"
        name="proposeDate"
        nzFormat="dd/MM/yyyy"
        [nzPlaceHolder]="['dd/mm/yyyy', 'dd/mm/yyyy']"
      ></nz-range-picker>
    </div>

  </div>
  <div *ngIf="!isExpand">
    <div nz-row [nzGutter]="[16, 8]">
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [(ngModel)]="params.statusApproval"
          name="interviewStatus"
          [mbDataSelects]="dataCommon.listStatusAppore"
          mbKeyLabel="name"
          mbKeyValue="code"
          mbLabelText="{{ 'development.proposed-unit.table.statusApprove' | translate }}"
          mbPlaceholder="{{ 'development.proposed-unit.table.statusApprove' | translate }}"
        ></mb-select>
      </div>

      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [(ngModel)]="params.statusPublish"
          name="listStatusPublish"
          [mbDataSelects]="dataCommon.listStatusPublish"
          mbKeyLabel="name"
          mbKeyValue="code"
          mbLabelText="{{ 'development.proposed-unit.table.statusPublish' | translate }}"
          mbPlaceholder="{{ 'development.proposed-unit.table.statusPublish' | translate }}"
        ></mb-select>
      </div>

      <div nz-col class="gutter-row" nzLg="6">
        <mb-input-text
          [(ngModel)]="params.employeeCode"
          name="employeeCode"
          [mbMaxLength]="20"
          mbLabelText="{{ 'development.list-consultations.content-consultations.codeEmp' | translate }}"
          mbPlaceholderText="{{ 'development.list-consultations.content-consultations.codeEmp' | translate }}"
        >
        </mb-input-text>
      </div>

      <div nz-col class="gutter-row" nzLg="6">
        <mb-input-text
          [(ngModel)]="params.employeeName"
          name="employeeName"
          [mbMaxLength]="20"
          mbLabelText="{{ 'development.list-consultations.content-consultations.nameEmp' | translate }}"
          mbPlaceholderText="{{ 'development.list-consultations.content-consultations.nameEmp' | translate }}"
        >
        </mb-input-text>
      </div>
    </div>

    <div nz-row [nzGutter]="[16, 8]">
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select-unit
          [(ngModel)]="params.searchCurrentUnit"
          mbLabelText="{{ 'development.list-consultations.content-consultations.unit' | translate }}"
          mbPlaceholder="{{ 'development.list-consultations.content-consultations.unit' | translate }}"
          name="searchCurrentUnit"
        >
        </mb-select-unit>
      </div>

      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [(ngModel)]="params.employeeTitle"
          name="employeeTitle"
          [mbDataSelects]="dataCommon.jobDTOS"
          mbKeyLabel="jobName"
          mbKeyValue="jobId"
          mbLabelText="{{ 'development.list-consultations.content-consultations.title' | translate }}"
          mbPlaceholder="{{ 'development.list-consultations.content-consultations.title' | translate }}"
        ></mb-select>
      </div>

      <div nz-col class="gutter-row" nzLg="6">
        <mb-select-unit
          [(ngModel)]="params.searchContentUnit"
          mbLabelText="{{ 'development.list-consultations.content-consultations.proposeUnit' | translate }}"
          mbPlaceholder="{{ 'development.list-consultations.content-consultations.proposeUnit' | translate }}"
          name="searchContentUnit"
        >
        </mb-select-unit>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [(ngModel)]="params.proposeTitle"
          name="proposeTitle"
          [mbDataSelects]="dataCommon.jobDTOS"
          mbKeyLabel="jobName"
          mbKeyValue="jobId"
          mbLabelText="{{ 'development.list-consultations.content-consultations.proposeTitle' | translate }}"
          mbPlaceholder="{{ 'development.list-consultations.content-consultations.proposeTitle' | translate }}"
        >
        </mb-select>
      </div>
    </div>
  </div>

  <div nz-row [nzGutter]="12" class="search-consultations__btnGroup">
    <div nz-col nzLg="8"></div>
    <div nz-col nzLg="8">
      <mb-button mbButtonBorderColor
                 mbButtonTextColor
                 mbButtonSize="LARGE"
                 (click)="search(1)"
                 mbButtonText="{{ 'development.formLD.button.search' | translate }}"
      >
      </mb-button>
      <mb-button
        nz-button
        mbButtonType="BORDER"
        mbButtonSize="LARGE"
        class="expand-btn"
        (click)="expandSearch()">
        <span>
          <em nz-icon nzType="{{ iconStatus }}"></em>
        </span>
      </mb-button>
      <mb-button
        nz-button
        [mbIsDisable]="isLoading"
        (click)="exportExcel()"
        class="expand-btn"
        mbButtonSize="LARGE"
      >
        <img src="assets/images/icon/excel.svg" alt="" />
      </mb-button>
      <mb-button mbButtonType='BORDER'
                 mbButtonSize='LARGE'
                 mbButtonText="{{'development.list-consultations.btn.exportConsultations' | translate}}"
                 mbButtonTextColor
                 (click)="exportTemplate()"
      >
      </mb-button>
    </div>
    <div nz-col nzLg="8"></div>
  </div>
  <div class="search-container">
    <span class="importbtn">
      <em nz-icon nzType="plus-circle" nzTheme="outline"></em>
    </span>
    <mb-button mbButtonType="NO_BORDER"
               mbButtonText="{{'common.button.uploadFile' | translate}}"
               mbButtonTextColor="#141ED2"
               mbButtonSize="LARGE"
    >
    </mb-button>
  </div>
</nz-card>

<mb-table-wrap [mbTitle]="''">
  <mb-table
    (changePageNum)="search($event)"
    [tableConfig]="tableConfig"
    [tableData]="dataTable"
    [heightTable]="heightTable"
    (onDblClickNode)="detail($event)"
  >
  </mb-table>
</mb-table-wrap>

<ng-template #statusApproveView let-statusApprove = "statusApprove">
  <nz-tag [nzColor]="displayStatusApprove(statusApprove)" class="data-table__otherTag" *ngIf="statusApprove">
    {{ statusApprove || '---' }}
  </nz-tag>
</ng-template>

<ng-template #sentDateView let-sentDate = "sentDate">
  <em nz-icon nzType="calendar" nzTheme="outline" class="data-table__calendar"></em>
  <span *ngIf="sentDate" class="data-table__sentDate">
    {{ sentDate | date: 'dd/MM/yyyy' }}
  </span>
</ng-template>

<ng-template #statusPublishView let-statusPublish = "statusPublish">
  <nz-tag [nzColor]="displayStatusApprove(statusPublish)" class="data-table__otherTag" *ngIf="statusPublish">
    {{ statusPublish || '---' }}
  </nz-tag>
</ng-template>

<ng-template #statusConsultationView let-statusConsultation = "statusConsultation">
  <nz-tag [nzColor]="displayStatusApprove(statusConsultation)" class="data-table__otherTag" *ngIf="statusConsultation">
    {{ statusConsultation || '---' }}
  </nz-tag>
</ng-template>

